import { NgClass } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { RxLet } from '@rx-angular/template/let';
import { RxPush } from '@rx-angular/template/push';
import { MonacoEditorComponent } from '@smallstack/common-components';
import { FormInputContainerComponent } from '@smallstack/widget-core';
import { I as InputBaseWidgetComponent } from './smallstack-form-widgets-input-base-widget.component-e4949b87.mjs';
import '@smallstack/i18n-components';
import '@smallstack/utils';
import 'rxjs';

class MangoQueryInputWidgetComponent extends InputBaseWidgetComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: MangoQueryInputWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.8", type: MangoQueryInputWidgetComponent, isStandalone: true, selector: "smallstack-mango-query-input-widget", usesInheritance: true, ngImport: i0, template: "<smallstack-form-input-container\n  [options]=\"options$ | push\"\n  [schema]=\"schema$ | push\"\n  [path]=\"path$ | push\"\n  [validationErrorText$]=\"validationErrorText$\"\n>\n  <smallstack-monaco-editor [value]=\"value$ | push\" (valueChange)=\"setValue($event)\"></smallstack-monaco-editor>\n</smallstack-form-input-container>\n", dependencies: [{ kind: "pipe", type: RxPush, name: "push" }, { kind: "ngmodule", type: FormsModule }, { kind: "component", type: FormInputContainerComponent, selector: "smallstack-form-input-container", inputs: ["validationErrorText$", "options", "schema", "path"] }, { kind: "component", type: MonacoEditorComponent, selector: "smallstack-monaco-editor", inputs: ["options", "value", "language", "editorHeight"], outputs: ["valueChange", "loaded"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: MangoQueryInputWidgetComponent, decorators: [{
            type: Component,
            args: [{ selector: "smallstack-mango-query-input-widget", standalone: true, changeDetection: ChangeDetectionStrategy.OnPush, imports: [RxPush, RxLet, FormsModule, FormInputContainerComponent, NgClass, MonacoEditorComponent], template: "<smallstack-form-input-container\n  [options]=\"options$ | push\"\n  [schema]=\"schema$ | push\"\n  [path]=\"path$ | push\"\n  [validationErrorText$]=\"validationErrorText$\"\n>\n  <smallstack-monaco-editor [value]=\"value$ | push\" (valueChange)=\"setValue($event)\"></smallstack-monaco-editor>\n</smallstack-form-input-container>\n" }]
        }] });

export { MangoQueryInputWidgetComponent };
//# sourceMappingURL=smallstack-form-widgets-mango-query-input-widget.component-9ba1a4be.mjs.map
