import { InlineTranslation } from "@smallstack/i18n-shared";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { Observable } from "rxjs";
export type SelectValue = {
    value: any;
    label: string | InlineTranslation;
};
export type TranslatedSelectValue = {
    value: any;
    label: string;
};
/** returns available options based on a type schema and a search text */
export declare function getSelectOptions$(schema$: Observable<SmallstackTypeSchema>, searchText$: Observable<string>): Observable<Array<TranslatedSelectValue>>;
